--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local AddonName, NS = ...
function NS:LoadDefaults() -- To be revisited
	local Defaults = {
--	NS.Defaults = {
		FontPath = "Interface\\Addons\\"..AddonName.."\\Fonts\\",
		TexturePath = "Interface\\Addons\\"..AddonName.."\\Textures\\",
		Units = {
			player = {
				bg = {
					hb={texture="hb", point="CENTER", w=128, h=256, colour={r=0.361, g=0.361, b=0.447}, osx=-125, osy=0, texcoord={0, 1, 0, 1}},
					pb={texture="pb", point="BOTTOM", w=128, h=256, alttexture="pbalt", colour={r=0.361, g=0.361, b=0.447}, osx=17, osy=38, ch=140, texcoord={0, 1, 0.453125, 1}},
					alt={texture="alt", point="BOTTOM", w=32, h=128, colour={r=0.361, g=0.361, b=0.447}, alpha=0.7, petcolour={r=0.361, g=0.361, b=0.447}, osx=-18.5, osy=74, ch=74, texcoord={0, 1, 0, 0.421875}},
				},
				fg = {
					hb={texture="hb", point="BOTTOM", w=128, h=256, colour={r=1, g=0, b=0}, osx=0, osy=0, texcoord={0, 1, 0, 1}, font={point="TOPRIGHT", topoint="BOTTOMRIGHT", x=-38, y=37, justify="RIGHT", colour={r=1, g=1, b=1}, size=16, font="DUF_Font1.ttf"}},
					pb={texture="pb", point="BOTTOM", w=128, h=256, alttexture="pbalt", colour={r=1, g=1, b=1}, osx=17, osy=38, ch=140, texcoord={0, 1, 0.453125, 1}, font={point="BOTTOMLEFT", topoint="BOTTOM", x=0, y=5, justify="LEFT", colour={r=1, g=1, b=1}, size=16, font="DUF_Font1.ttf"}},
					alt={texture="alt", point="BOTTOM", w=32, h=128, colour={r=1, g=1, b=1}, alpha=0.8, petcolour={r=1, g=1, b=1}, osx=-18.5, osy=74, ch=74, texcoord={0, 1, 0, 0.421875}, font={point="LEFT", topoint="CENTER", x=0, y=0, justify="LEFT", colour={r=1, g=1, b=1}, size=16, font="DUF_Font1.ttf"}},
				},
			},
			target = {
				bg = {
					hb={texture="hb", point="CENTER", w=128, h=256, flip=true, colour={r=0.361, g=0.361, b=0.447}, alpha=0.7, osx=125, osy=0, texcoord={1, 0, 0, 1}},
					pb={texture="pb", point="BOTTOM", w=128, h=256, flip=true, colour={r=0.361, g=0.361, b=0.447}, alpha=0.7, osx=-17, osy=38, ch=140, texcoord={1, 0, 0.453125, 1}},
				},
				fg = {
					hb={texture="hb", point="BOTTOM", w=128, h=256, flip=true, colour={r=1, g=0, b=1}, tapped={r=1, g=1, b=1}, alpha=0.8, osx=0, osy=0, texcoord={1, 0, 0, 1}, font={point="TOPLEFT", topoint="BOTTOMLEFT", x=38, y=37, justify="LEFT", colour={r=1, g=1, b=1}, size=16, font="DUF_Font1.ttf"}},
					pb={texture="pb", point="BOTTOM", w=128, h=256, flip=true, colour={r=1, g=1, b=1}, alpha=0.8, osx=-17, osy=38, ch=140, texcoord={1, 0, 0.453125, 1}, font={point="BOTTOMRIGHT", topoint="BOTTOM", x=0, y=5, justify="RIGHT", colour={r=1, g=1, b=1}, size=16, font="DUF_Font1.ttf"}},
				},
			},
		},
		Alpha=0.8, 
		AlphaOOC=0.3,
		BackgroundAlpha = 0.7,
		BackgroundAlphaOOC = 0.2,
		HealthAsPercent = true,
		PowerAsPercent = true,
		Range = {font={point="CENTER", topoint="CENTER", x=0, y=160, justify="CENTER", colour={r=1, g=1, b=1}, size=17, font="DUF_Font1.ttf"}}, --ShowForFriendlies = nil
		Scale = 0.7,
		UpdateSpeed = 0.125,
		HideAtMaxHealth = true,
--		ShowAltManaUsers = nil
--		HealthShowMax = nil,
--		PowerShowMax = nil,
--		HideNumbers = nil,
--		HealthAsPercentPlayerOnly = nil,
--		PowerAsPercentPlayerOnly = nil,
--		HideForFriendlies = nil,
	}
	return Defaults
end
